Subject: bug#64187: closed (Re: bug#64187: guix locate: unsupported manifest format)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 11 Jul 2023 16:23:02 +0000

Your bug report

#64187: guix locate: unsupported manifest format

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64187: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64187
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64187: guix locate: unsupported manifest format
From: Ludovic Courtès <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Jul 2023 18:22:45 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès <[email-masked]> skribis:

> Ricardo Wurmus <[email-masked]> skribis:
>
>> Ludovic Courtès <[email-masked]> writes:
>>
>>> However, how can it happen?  ‘guix locate’ knows all the manifest format
>>> version, so maybe it mistook a file for a manifest when in fact it’s
>>> something else?
>>>
>>> Could you ‘strace -o /tmp/log.strace guix locate ls’ to get the name of
>>> the offending file for now?
>>
>> The last manifest it reads is
>> /gnu/var/guix/profiles/per-user/wneuber/guix-profile-1-link/manifest
>> with the following contents
>>
>> (manifest
>>   (version 1)
>>   (packages
>>     (("gcc"
>>       "4.9.2"
>>       "out"
>>       "/gnu/store/ym7sybrdifnm3g0rafhclv891niaczcv-gcc-4.9.2"
>>       ()))))
>
> Woow, this profile predates May 2015 and commit
> dedb17ad010ee9ef67f3f4f3997dd17f226c8090.  And indeed, it’s no longer
> recognized since e7e04396c0e91569bf493e1352d6539babc15327 (July 2022).
>
> I’ll work on a fix…

Fixed in commit e1c2c2f042e8741c0759e21e634cd2271e078177!

Ludo’.

Subject: guix locate: unsupported manifest format
From: Ricardo Wurmus <[email-masked]>
To: [email-masked]
Date: Tue, 20 Jun 2023 09:25:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I ran “guix locate” on the HPC cluster where we generally don’t ever run
“guix gc”.  Here’s what I got:

--8<---------------cut here---------------start------------->8---
$ time guix locate ls
guix locate: indexing files from /gnu/store...
guix locate: traversing local profile manifests...
guix locate: error: unsupported manifest format

real	2m24.029s
user	3m11.519s
sys	0m5.617s
--8<---------------cut here---------------end--------------->8---

It would be good if it printed the location of the problematic manifest
and ignored it.

-- 
Ricardo